Delete Confirmation on Site-Group Dialog

10/25/2010 09:48 PM - Luke Murphey

Status: Closed Start date: 10/29/2010

Priority: Normal Due date: 10/29/2010

Assignee: Luke Murphey % Done: 100%

Category: Web Interface Estimated time: 2.00 hours

Target version: 1.0.1   

Description

History

#1 - 10/26/2010 12:59 AM - Luke Murphey

- Assignee set to Luke Murphey

#2 - 10/26/2010 01:14 AM - Luke Murphey

- Due date set to 10/29/2010

- Start date changed from 10/25/2010 to 10/29/2010

- Estimated time set to 2.00 h

#3 - 10/27/2010 03:32 PM - Luke Murphey

Below is example code that allows you to change the URL to go to when deleting the item:

            $(function() {

                    $("#dialog").dialog({

                            bgiframe: true,

                            resizable: false,

                            height:140,

                            modal: true,

                            autoOpen: false,

                            overlay: {

                                    backgroundColor: '#000',

                                    opacity: 0.5

                            }

                    });

            });

            function show_delete_dialog(url) {

                    buttons = {

                            'Delete this asset': function() {

                                    location=url;

                            },

                            Cancel: function() {

                                    $(this).dialog('close');

                            }

                    }

                    $("#dialog").dialog('option', 'buttons', buttons);

                    $("#dialog").dialog("open");

            }
#4 - 10/29/2010 06:18 PM - Luke Murphey

The onSubmit can be intercepted using a confirm() call. On the other hand, a jQuery dialog could be used that calls click on the relevant dialog button.

Below is an example that clicks the "Delete" button:

$('input[value=Delete][type=submit]').click();

#5 - 10/29/2010 06:35 PM - Luke Murphey

A confirm dialog can be added this way:

$('input[value=Delete][type=submit]').click( function() { return confirm("Are you sure?"); } );

#6 - 10/30/2010 12:07 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Implemented in r926.

#7 - 11/01/2010 11:52 PM - Luke Murphey

- Category set to Web Interface
